#ifndef CONF_H
#define CONF_H

typedef struct date {
	int day;
	int month;
	int year;
} tDate;

struct listenerList;

typedef struct conf {
	tDate *date;
	char title[30];
	char speaker[20];
	struct listenerList* listeners;
	struct conf* next;
} tConf;

typedef struct confList {
	struct tConf* conf;
	struct tConfList* next;
} tConfList;

typedef struct listener {
	char name[20];
	int age;
	int level;
	struct tConfList* confs;
	struct tListener* next;
} tListener;

typedef struct listenerList {
	struct tListener* listener;
	struct tListenerList* next;
} tListenerList;

typedef tDate* ptDate;
typedef tConf* ptConf;
typedef tListener* ptListener;
typedef tConfList* ptConfList;
typedef tListenerList* ptListenerList;

ptDate newDate(int day, int month, int year);
void printDate(ptDate date);
ptConf newConfChain();
void addConf(ptConf confChainStart, char title[], char speaker[], int day, int month, int year);

#endif // CONF_H